javax.media.j3d

## Class BadTransformException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.media.j3d.BadTransformException

All Implemented Interfaces:
  java.io.Serializable

    public class BadTransformException
    extends java.lang.RuntimeException

Indicates an attempt to use a Tranform3D object that is inappropriate for the object in which it is being used. For example:

- Transforms that are used in the scene graph, within a TransformGroup node, must be affine. They may optionally contain a non-uniform scale and/or a shear, subject to other listed restrictions.
- All transforms in the TransformGroup nodes above a ViewPlatform object must be congruent. This ensures that the Vworld coordinates to ViewPlatform coordinates transform is angle and length-preserving with no shear and only uniform scale.
- Most viewing transforms other than those in the scene graph can only contain translation and rotation.
- The projection transform is allowed to be non-affine, but it must either be a single point perspective projection or a parallel projection.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BadTransformException()` Create the exception object with default values.
`BadTransformException(java.lang.String str)` Create the exception object that outputs message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BadTransformException

    public BadTransformException()

Create the exception object with default values.

#### BadTransformException

    public BadTransformException(java.lang.String str)

Create the exception object that outputs message.

Parameters:
  `str` - the message string to be output.